#ifndef FattenableLeaf_HPP
#define FattenableLeaf_HPP

#include "common.hpp"
#include "apriori/bodon/LeafWithoutConstructor.hpp"


namespace Bodon
{
   template <unsigned int VECTOR_SIZE>
   class FattenableLeaf : public LeafWithoutConstructor
   {
      public:
	 FattenableLeaf() {counter = 0;}
	 FattenableLeaf(const counter_t counter) { this->counter = counter;}
      protected:
	 int a_vector[VECTOR_SIZE];
   };
}
#endif
