#ifndef ManipulatorBaseInhom_HPP
#define ManipulatorBaseInhom_HPP

#include "apriori/bodon/trie/trie_manipulators/ManipulatorBase.hpp"

namespace Bodon
{
   namespace inhomogeneous_trie
   {
      template <class DF_D, class TRIE, class LEAF_ALLOCATOR>
      class ManipulatorBase : public Bodon::ManipulatorBase<DF_D, TRIE>
      {
	 protected:
	    LEAF_ALLOCATOR& s_alloc;
	 public:
	    ManipulatorBase( TRIE& main_trie, DF_D& df_decoder,
			     LEAF_ALLOCATOR& s_alloc ) : 
	       Bodon::ManipulatorBase<DF_D, TRIE>(main_trie, df_decoder), 
	       s_alloc(s_alloc){}
      };
   }
}


#endif
